
/*
    xsit - screen mate for X11
    Copyright (C) 2003 Jrme Laheurte <fraca7@free.fr>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* $Id: imagesitter.h,v 1.3 2003/08/04 14:37:13 jerome Exp $ */

#ifndef _imagesitter_h_
#define _imagesitter_h_

#include <glib.h>
#include "sitter.h"

/*
  Le plus simple: une image fixe
  Syntaxe: <nom>:<description>:<type>:<geometry>:<chemin>
*/

/* type associ */
#define IMAGE_SITTER 1

sitter *image_sitter_new(gchar*);
void image_sitter_free(sitter*);

#endif
