
/*
    xsit - screen mate for X11
    Copyright (C) 2003 Jrme Laheurte <fraca7@free.fr>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* $Id: utils.h,v 1.3 2003/08/04 14:37:14 jerome Exp $ */

#ifndef _utils_h_
#define _utils_h_

#include <glib.h>

/* un remplacement pour strtok(3) qui ne modifie pas la chane */

typedef struct {
  gchar *bf;
  gint pos;
  gchar delim;
} token_string;

token_string *token_string_new(gchar*, gchar);
void token_string_free(token_string*);

gboolean token_string_has_more(token_string*);
gchar *token_string_next(token_string*); /* NE PAS free()er ! */
gchar *token_string_remain(token_string*); /* ne modifie pas la position */

#endif
