
/*
    xsit - screen mate for X11
    Copyright (C) 2003 Jrme Laheurte <fraca7@free.fr>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* $Id: window.h,v 1.3 2003/08/04 14:37:14 jerome Exp $ */

#ifndef _window_h_
#define _window_h_

#include <glib.h>

#include <Imlib.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/extensions/shape.h>

#include "sitter.h"

typedef struct {
  sitter *st;
  Window win;

  Window focus;

  gint counter;
  gint timeout;
} xsit_window;

xsit_window *xsit_window_new(gchar*);
void xsit_window_free(xsit_window*);

void xsit_window_handle_event(xsit_window*);

#endif
